Bug 463770 - Package review: perl-Module-Math-Depends
Package review: perl-Module-Math-Depends
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 463763
  Show dependency treegraph
 
Reported: 2008-09-24 12:13 EDT by Marcela Mašláňová
Modified: 2008-10-02 06:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 06:09:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch against the .spec file fixing the issues (662 bytes, patch)
2008-09-24 15:55 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Marcela Mašláňová 2008-09-24 12:13:30 EDT
description
This is a small convenience module created originally as part of
Module::Inspector but released seperately, in the hope that people might
find it useful in other contexts.

http://mmaslano.fedorapeople.org/perl-Module-Math-Depends/perl-Module-Math-Depends.spec
http://mmaslano.fedorapeople.org/perl-Module-Math-Depends/perl-Module-Math-Depends-0.02-1.fc9.src.rpm
Comment 1 Matěj Cepl 2008-09-24 15:54:39 EDT
- BAD: rpmlint must be run on every package. The output should be posted in the review.
src.rpm:
[matej@viklef redhat]$ rpmlint -i SRPMS/perl-Module-Math-Depends-0.02-1.fc9.src.rpm 
perl-Module-Math-Depends.src: W: spelling-error-in-description seperately separately
You made a misspelling in the Description. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
+ MUST: The package is named according to the Package Naming Guidelines .
+ MUST: The spec file name matches the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
- BAD: The package meets the Packaging Guidelines .
* https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
  there is no email address in %changelog -- all required formats of the
  changelog record include email address
+ MUST: The package is licensed with a Fedora approved license and meet the Licensing Guidelines .
+ MUST: The License field in the package spec file matches the actual license.
+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ MUST: The spec file is written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
  35270e730764371ee9fb3be536744a32  Module-Math-Depends-0.02.tar.gz
+ MUST: The package successfully compiles and build into binary rpms on at least one supported architecture.
  Koji scratch build is
  http://koji.fedoraproject.org/koji/taskinfo?taskID=842644
+ MUST: noarch, so it compiles everywhere.
+ MUST: All build dependencies are listed in BuildRequires.
+ MUST: The spec file MUST handle locales properly.
  No locale support.
+ MUST: no libraries
+ MUST: not relocatable
+ MUST: A package owns all directories that it creates.
  Follows perl guidelines.
+ MUST: A package must not contain any duplicate files in the %files listing.
+ MUST: Permissions on files must be set properly.
+ MUST: Each package have a %clean section.
+ MUST: Each package consistently use macros.
+ MUST: The package contains code, or permissable content.
+ MUST: No large documentation files, so no a -doc subpackage.
+ MUST: If a package includes something as %doc, it does not affect the runtime of the application.
+ MUST: No header files.
+ MUST: No static libraries.
+ MUST: No pkgconfig(.pc) files.
+ MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
+ MUST: No devel packages.
+ MUST: No .la libtool archives.
+ MUST: Packages does not contain GUI applications.
+ MUST: Packages does not own files or directories owned by other packages.
+ MUST: Runs rm -rf $RPM_BUILD_ROOT in %install
+ MUST: All filenames in rpm packages are valid UTF-8.
+ SHOULD: Includes license text.

Attaching patch for the SPEC file -- when this is applied, APPROVED.
Comment 2 Matěj Cepl 2008-09-24 15:55:31 EDT
Created attachment 317619 [details]
patch against the .spec file fixing the issues
Comment 4 Marcela Mašláňová 2008-09-25 06:07:59 EDT
New Package CVS Request
=======================
Package Name: perl-Module-Math-Depends
Short Description: module originaly created for Module::Inspector
Owners: mmaslano@redhat.com
Branches: rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Kevin Fenzi 2008-09-28 15:17:14 EDT
The Summary/Short Description here is weird... that says where this module came from, but nothing about what it does. Could you revise that so it makes more sense?
Comment 6 Marcela Mašláňová 2008-09-29 05:01:10 EDT
New Package CVS Request
=======================
Package Name: perl-Module-Math-Depends
Short Description: convenience object for manipulating module dependencies
Owners: mmaslano
Branches: rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Kevin Fenzi 2008-10-01 15:02:30 EDT
cvs done. 

Thanks.

Note You need to log in before you can comment on or make changes to this bug.